Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510622 - [RFE] Surface data provided by Dell OpenManage and other vendor equivalents through Insights
Summary: [RFE] Surface data provided by Dell OpenManage and other vendor equivalents t...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Insights
Classification: Red Hat
Component: Rules
Version: unspecified
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rob Williams
QA Contact: Jeff Needle
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 20:21 UTC by Matt Ruzicka
Modified: 2019-04-02 05:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Matt Ruzicka 2017-11-07 20:21:59 UTC
2. Who is the customer behind the request?

Account: See first comment

TAM customer: yes
CSM customer: yes
Strategic: yes

3. What is the nature and description of the request?

Customer has asked that Insights report on information and error notifications from Dell OpenManage and by extension other vendors such as HP Systems Insight Manager, IBM Director, and others. 

4. Why does the customer need this? (List the business requirements here)

Customer feels it would give them additional incentive to utilize Red Hat Insights and provide them one place to look for more complete system/issue knowledge.

5. How would the customer like to achieve this? (List the functional requirements here)

No specific suggestion, but potentially scrape logs and reference config/cache files.  Onus would still be on the customer to install and configure hardware management utilities properly, but maybe Insights could pull if there and potentially raise an alert that hardware utilities are not installed.

I could see issues with remediating these errors since they would still exist in the logs potentially.  Initial request would see what information could be collected and reported.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

Trigger an alert within Dell OpenManage and see if it is seen by insights.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

I did not see a bugzilla for this request already, but could see a lot of customers being interested in it.

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

No specific timelines.

9. Is the sales team involved in this request and do they have any additional input?

They are not directly involved in this request, but could be if needed.

10. List any affected packages or components.

Insights

11. Would the customer be able to assist in testing this functionality if implemented?

Yes.

Comment 2 Matt Ruzicka 2018-02-06 22:08:45 UTC
Hello, I wondering if there was any feedback on this request that I could provide the customer. Thank you.

I've had a partner express interest in this as well.

Comment 3 Rob Williams 2018-02-21 21:39:28 UTC
Hi Matt,
This type of request begins to get outside the realm of Red Hat specific knowledge (which we provide today via our rules process) and more heavily into partner knowledge. 

At this time we do not have any immediate plans to act upon this RFE written as is - but aim sometime in the future to have a collaborative effort and framework working directly with partners to develop rules that can be leveraged by Insights. 

Hope this helps,
Rob

Comment 4 Matt Ruzicka 2018-07-23 20:43:55 UTC
Hi Rob,

I wanted to loop back on this a bit.  I think the request would really just be to surface the errors or warnings that are triggered in the individual hardware monitoring solutions, not for us to need logic to make any decisions.  In the case of my customer, they would like to have one place they can check for likely known issues.

Comment 6 Matt Ruzicka 2018-10-02 20:02:34 UTC
Was curious if there was any further movement on collaborative efforts with partners?  Thanks.


Note You need to log in before you can comment on or make changes to this bug.